"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const del = require("del");
const options_keys_1 = require("../../model/options.keys");
const logger_1 = require("../services/logger");
const gulp = require('gulp');
/**
 * Delete our dist folder before every run
 */
class DeleteDestFolderTask {
    /**
     * Registring the task
     */
    registerTask(argv, onError, dependencies = []) {
        const taskName = 'delete-dest-folder-task';
        logger_1.Logger.warning("iniciando : " + taskName);
        gulp.task(taskName, dependencies, () => {
            return del([argv[options_keys_1.OptionsKeys.OUT_DIR]]).then(sucesso => {
                logger_1.Logger.success("finalizando :" + taskName);
            });
        });
        return taskName;
    }
}
exports.DeleteDestFolderTask = DeleteDestFolderTask;
//# sourceMappingURL=delete-dest-folder.task.js.map